# Howdoi

Are you a hack programmer? Do you find yourself constantly Googling for how to do basic programming tasks?

Suppose you want to know how to format a date in bash. Why open your browser and read through blogs (risking major distraction) when you can simply stay in the code editor and ask [howdoi](https://github.com/gleitz/howdoi#howdoi):

<!-- howdoi format date bash gif-->
![howdoi format bash date](https://i.imgur.com/hcYpryn.gif)

howdoi will answer all sorts of queries:
<!-- howdoi print stack trace python gif-->
![howdoi print stack trace python](https://i.imgur.com/8D5wiM4.gif)

## Installation

Install howdoi on your machine before using the howdoi extension. To do so, refer to the [howdoi installation steps](https://github.com/gleitz/howdoi#installation).

## Getting Started

The howdoi extension allows users to ask howdoi within their own code editor. 

For usage within the code editor:

1. Write down your question in the code editor commented out with a single line comment. 

    ![up close howdoi print stack trace python](https://i.imgur.com/NLYeTNs.gif)

2. Highlight the text from the first step.

    ![highlighted howdoi print stack trace python](https://i.imgur.com/58x3QbQ.gif)

3. Open the command palette using:

        cmd/ctrl + shift + P
    or
    
        View > Command Palette

4. Run howdoi in command palette and choose among three answers from the drop down.

    ![highlighted howdoi print stack trace python](https://i.imgur.com/92c0xVM.gif)

## Usage

usage: 
    
    // howdoi query [-n NUM_ANSWERS]

positional arguments:

      QUERY                 the question to answer

optional arguments:

      -n NUM_ANSWERS        NUM_ANSWERS
                            number of answers to return
                            (default: 3)

example:

  ![highlighted howdoi print stack trace python](https://i.imgur.com/9WGSL2y.gif)    


## Release Notes


### 1.0.0

Initial release of the howdoi VS Code Extension.


-----------------------------------------------------------------------------------------------------------

**Enjoy!**
